import React, { Component } from 'react';
import ChannelList from './ChannelList';

const ChannelEntry = (props: ChannelEntryProps) => {
  const { clients, channel } = props;
  const joined: Client[] = [];
  if (channel.totalClients > 0) {
    clients.forEach(client => {
      if (client.channelId === channel.id) joined.push(client);
    });
  }

  return (
    <>
      <div>{channel.name}</div>
      {joined.length > 0 && (
        <ul>
          {joined.map(e => (
            <li>{e.nickname}</li>
          ))}
        </ul>
      )}
      {channel.subchannels !== undefined && (
        <ChannelList channels={channel.subchannels} clients={clients} />
      )}
    </>
  );
};

export default ChannelEntry;
